AddXLine Method

Back to Methods Reference

Creates an xline (an infinite line) passing through two specified points.

Signature

VBA : RetVal = object.AddXline(Point1, Point2)

VL : RetVal = (vla-addXLine object Point1 Point2)

(vla-addXline mspace 
                    (vlax-3d-point apt)
                          (vlax-3d-point pt))

  • Object : ModelSpace Collection, PaperSpace Collection, Block
    The object or objects this method applies to.

  • Point1 : Variant (three-element array of doubles); input-only

  • Point2 : Variant (three-element array of doubles); input-only

  • RetVal : XLine object
    The newly created XLine object.

Example :


(defun c:al-addxline ()

(vl-load-com)

(setq mspace (vla-get-modelspace 
                 (vla-get-activedocument 
                      (vlax-get-acad-object))))

(setq apt (getpoint "\nSpecify First Point: "))

(setq pt (getpoint "\nSpecify Second Point: " apt))

(setq myxline (vla-addXline mspace 
                    (vlax-3d-point apt)
                          (vlax-3d-point pt)))

(princ)

);defun

 
The AutoLisp/Visual Lisp/VBA Resource Website
Google
Search the WWW Search AfraLisp

Copyright © 1999-Perpetuity by AfraLisp

All rights reserved.
Information in this document is subject to change without notice.
Site created and maintained by Kenny Ramage

The AutoLisp/Visual Lisp/VBA Resource Website